Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225101 - emacs-vm: optflags not honored, semi-useless debuginfo
Summary: emacs-vm: optflags not honored, semi-useless debuginfo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-vm
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Underwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 22:59 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: emacs-vm-7.19-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-03 16:36:10 UTC


Attachments (Terms of Use)
Honor optflags (deleted)
2007-01-28 22:59 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-01-28 22:59:29 UTC
emacs-vm does not honor $RPM_OPT_FLAGS, resulting in no-no such as no stack
protection and semi-useless debuginfo.  Fix attached.

http://fedoraproject.org/wiki/Packaging/Debuginfo

Comment 1 Ville Skyttä 2007-01-28 22:59:29 UTC
Created attachment 146794 [details]
Honor optflags

Comment 2 Jonathan Underwood 2007-01-29 10:26:52 UTC
Thanks - I will apply and push new builds in the next couple of days. Out of
interest, how did you spot this? Would be useful to know for reviewing purposes.

Comment 3 Ville Skyttä 2007-01-29 15:43:49 UTC
Read http://fedoraproject.org/wiki/Packaging/Debuginfo :)

I look at http://fedoraproject.org/extras/development/i386/debug/?C=S;O=A
(sorted by size, smallest first) every now and then when I'm bored.

Comment 4 Jonathan Underwood 2007-02-03 16:36:10 UTC
New packages pushed which fix this problem (and others). Thanks for the heads up.


Note You need to log in before you can comment on or make changes to this bug.